Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jaspersoft.jasperserver.util
Class InputControlBean

    java.lang.Object
      com.jaspersoft.jasperserver.util.ResourceBean
          com.jaspersoft.jasperserver.util.InputControlBean

    public class InputControlBean

extends ResourceBean

Version:
  $Id: InputControlBean.java 8408 2007-05-29 23:29:12Z melih $
Author:
  tkavanagh

Constructor Summary
`InputControlBean()`

Method Summary
`DataTypeBean` | `getDataType()`
`java.lang.String` | `getDefaultValue()`
`java.lang.String[]` | `getDefaultValues()`
`boolean` | `getIsMandatory()`
`boolean` | `getIsReadOnly()`
`ListOfValuesBean` | `getListOfValues()`
`QueryBean` | `getQuery()`
`java.lang.String` | `getQueryValueColumn()`
`java.lang.String[]` | `getQueryVisibleColumns()`
`byte` | `getType()`
`void` | `setDataType(DataTypeBean dataType)`
`void` | `setDefaultValue(java.lang.String defaultValue)`
`void` | `setDefaultValues(java.lang.String[] defaultValues)`
`void` | `setIsMandatory(boolean isMandatory)`
`void` | `setIsReadOnly(boolean isReadOnly)`
`void` | `setListOfValues(ListOfValuesBean listOfValues)`
`void` | `setQuery(QueryBean query)`
`void` | `setQueryValueColumn(java.lang.String queryValueColumn)`
`void` | `setQueryVisibleColumns(java.lang.String[] queryVisibleColumns)`
`void` | `setType(byte type)`

Methods inherited from class com.jaspersoft.jasperserver.util.ResourceBean
`getCreationDate, getDescription, getIsNew, getIsUriReference, getLabel, getName, getParentFolder, getProductReleaseVersion, getResourceBeanType, getResourceType, getUriString, getVersion, setCreationDate, setDescription, setIsNew, setIsUriReference, setLabel, setName, setParentFolder, setProductReleaseVersion, setResourceBeanType, setResourceType, setUriString, setVersion`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### InputControlBean

    public InputControlBean()

Method Detail

### getDataType

    public DataTypeBean getDataType()

### setDataType

    public void setDataType(DataTypeBean dataType)

### getDefaultValue

    public java.lang.String getDefaultValue()

### setDefaultValue

    public void setDefaultValue(java.lang.String defaultValue)

### getDefaultValues

    public java.lang.String[] getDefaultValues()

### setDefaultValues

    public void setDefaultValues(java.lang.String[] defaultValues)

### getIsMandatory

    public boolean getIsMandatory()

### setIsMandatory

    public void setIsMandatory(boolean isMandatory)

### getIsReadOnly

    public boolean getIsReadOnly()

### setIsReadOnly

    public void setIsReadOnly(boolean isReadOnly)

### getListOfValues

    public ListOfValuesBean getListOfValues()

### setListOfValues

    public void setListOfValues(ListOfValuesBean listOfValues)

### getQuery

    public QueryBean getQuery()

### setQuery

    public void setQuery(QueryBean query)

### getQueryValueColumn

    public java.lang.String getQueryValueColumn()

### setQueryValueColumn

    public void setQueryValueColumn(java.lang.String queryValueColumn)

### getQueryVisibleColumns

    public java.lang.String[] getQueryVisibleColumns()

### setQueryVisibleColumns

    public void setQueryVisibleColumns(java.lang.String[] queryVisibleColumns)

### getType

    public byte getType()

### setType

    public void setType(byte type)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007. All Rights Reserved.